.page-wrapper {
	display: flex;
	flex-direction: column;
	min-height: 100vh;
	padding-top: var(--header-height);
	overflow: hidden;
}

.services-intro{
	background-image: url("../img/intro.png");
  	--header-height: 126px;
}

.services-intro {
	min-height: 70rem;
	padding-bottom: 8.4rem;
	padding-top: 14rem;
}
.intro {
	position: relative;
	display: flex;
	/* min-height: 93.8rem; */
	padding-top: calc(var(--header-height) + 3rem);
	padding-bottom: 5rem;
	background-color: #46232A;
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
	color: #fff;
}

.intro__wrapper {
	position: relative;
	z-index: 1;
	display: flex;
	flex-direction: column;
	height: 100%;
}

.intro__content {
  	margin-top: auto;
}

.intro__title {
	position: relative;
	max-width: 135rem;
	margin-bottom: 4rem;
	padding-bottom: 1.8rem;
	border-bottom: 1px solid rgba(255,255,255,.2);
	font: var(--h1-text);
}

.intro__title--count {
	padding-bottom: 5rem;
	margin-bottom: 5rem;
}

.intro__desc {
	max-width: 60rem;
	font: 400 2rem/140% var(--main-ff);
}

.intro__title span{
	position: relative;
}

.intro__title span::after {
	content: var(--product-count);
	position: absolute;
	left: calc(100% + 0rem);
	top: -1.6rem;
	display: flex;
	justify-content: center;
	align-items: center;
	min-width: 5.8rem;
	min-height: 3.8rem;
	padding: 0 .5rem;
	border: 1px solid rgba(255,255,255,.4);
	border-radius: 50%;
	font: var(--title-h4);
	transition: background-color .3s,border-color .3s,color .3s;
}


.content{
  padding: 10rem 0;
}

.content__inner{
	background-color: #fff;
	border-radius: 3rem;
	padding: 5rem;
	box-shadow: 0 20px 40px rgba(0,0,0,0.45);
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	gap: 2rem;
}
.content__img{
	width: 100%;
	height: 360px;
	object-fit: cover;
	object-position: center;
}

.content__title{
	font: var(--title-h4);
}

.content__descr{
	font: var(--text-item);
}


.contacts-section {
	padding-bottom: 8rem;
}

.contacts-section__inner {
	position: relative;
	padding: 7.4rem 8rem 8.2rem;
	border-radius: 2rem;
	background-color: var(--main-color);
	overflow: hidden;
	color: #fff;
}

.contacts-section__content {
	width: 100%;
	max-width: 83.2rem;
}

.contacts-section__title {
	margin-bottom: 4.8rem;
	font: 400 8.8rem/100% var(--main-ff);
	letter-spacing: -.04em;
}

.contacts-form {
	position: relative;
	z-index: 1;
	display: grid;
	grid-template-columns: repeat(2,1fr);
	gap: 4.2rem 6.4rem;
}

.input-wrapper {
	position: relative;
	z-index: 2;
	display: flex;
	flex-direction: column;
	gap: .2rem;
}

.contacts-form__input-wrapper {
  	color: #e38c89;
}

.contacts-form__input::placeholder {
  	color: #fff;
}

.input-wrapper label {
	position: absolute;
	bottom: 1rem;
	left: 0;
	z-index: -1;
	font: var(--card-title);
	cursor: text;
	transition: .3s;
}

.button--border-white::before {
  	background-color: #fff;
}

.button--border-white {
	border: 1px solid #fff;
	color: #fff;
}

.contacts-form__button {
	justify-content: center;
	height: 5.2rem;
	border-color: #e38c89;
	font: 600 1.8rem/115% var(--main-ff);
}
.contacts-form__button, .contacts-form__desc {
  	margin-top: .8rem;
}

.button--border-white {
  	color: #fff;
}

.contacts-form__desc {
	font: 600 1.2rem/120% var(--main-ff);
	color: #e2a2a0;
}

.contacts-form__desc a {
	text-decoration: underline;
	transition: color .3s;
}

.contacts-section__bg {
	position: absolute;
	top: -15.8rem;
	right: -3rem;
	width: 36.2rem;
	height: 69.5rem;
}

.contacts-form__input--file + label, .input, .resume-section__file + label {
	align-items: center;
	height: 4rem;
	border-bottom: 1px solid #e2a2a0;
	font: 600 1.8rem/115% var(--main-ff);
}


.contacts-form__input {
	position: relative;
	z-index: 1;
	color: #fff;
}

.button--border-white:hover {
    border-color: #fff;
    color: var(--head-color);
}

.button:hover {
    transition: border-color .3s,color .3s .2s,background-color .3s .6s;
}

.contacts-form__desc a:hover {
  	color: #fff;
}


.input-wrapper label.active {
	bottom: calc(100% - 1rem);
	-webkit-transform: none;
	transform: none;
	font-size: 1.5rem;
	opacity: .5;
}

.contacts-form__button:hover::before {
  -webkit-transform: translate(1rem,-5rem) scale(2.7);
  transform: translate(1rem,-5rem) scale(6);
}


@media screen and (max-width: 768px) {
	.intro__title{
		font: 600 70px/140% var(--main-ff);
	}	
	.services-intro {
		min-height: 54rem;
	}
}

@media screen and (max-width: 640px) {
	.intro__title{
		font: 600 40px/140% var(--main-ff);
	}
	.content__title{
		font: 600 2rem/140% var(--main-ff);
	}

}

@media screen and (max-width: 450px){
	.intro__title{
		font: 600 30px/140% var(--main-ff);
	}
	.services-intro {
		min-height: 44rem;
	}
	.content__inner{
		padding: 1rem 2rem;
	}
}